article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
* {
  box-sizing: border-box;
}

body,
html {
  scroll-behavior: smooth;
  margin: 0;
  padding: 0;
  width: 100%;
  overflow-x: hidden;
}

body {
	line-height: 1;
    font-family:Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    margin: 0%;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}


@font-face {
    font-family: "CoolveticaCondensed";
    src: url("https://db.onlinewebfonts.com/t/0754a87a6aa14ab86abe03e805d71adf.woff2") format("woff2");
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "Satoshi";
    src: url("fonts/Satoshi.woff2") format("woff2");
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

:root {
    --font-family-base: 'CoolveticaCondensed', sans-serif;
    --color-green: #ceff65;
    --font-family-satoshi: 'Satoshi', sans-serif;
}

a {
    text-transform: uppercase;
    text-decoration: none;
    color: black;
}

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    column-gap: 18px;
    border-bottom: solid lightgray 1px;
    
}

.header-menu-list {
    display: inline-flex;
    align-items: center;
    column-gap: 70px;
    height: 50px;
    font-family: var(--font-family-base);
    letter-spacing: 1.2px;
    font-size: 16px;
    margin-left: 70px;
    margin-right: 70px;
}

.header-menu-item span {
  position: relative;
  display: inline-block;
  z-index: 1;
}

.header-menu-item span::before {
  content: '';
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  height: 4px;
  width: 0;
  background-color: var(--color-green);
  z-index: 0;
  transition: width 0.2s ease;
  background-color: rgba(206, 255, 101, 0.6);
  filter: blur(0.5px);
}

.header-menu-item:hover span::before {
  
  width: 100%;
}

.logo-name {
    margin-left: 180px;
    margin-right: 180px;
    font-size: 20px;
}

.banner-box {
    position: relative;
}

.banner {
    font-family: var(--font-family-base);
    text-transform: uppercase;
    text-align: center;
    padding-top: 20px ;
    height: 500px;
    z-index: 2;
}

.banner-title {
    position: relative;
    z-index: 2;
    font-size: 180px;
}

.scroll-zoom-container {
   height: 100vh;
  overflow: hidden;
  position: relative;
}

.tennis-video {
    position: relative;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 50px;
    z-index: 0;
}

#zoom-video {
  transform: scale(0.8);
  transform-origin: center center;
  transition: transform 0.05s linear;
}


.learn-more {
    position: relative;
    bottom: 400px;
    font-size: 30px;
    color: white;
}

.learn-more-btn {
    position: relative;
    bottom: 420px;
    border-radius: 100%;
    border: 0px;
    background-color: var(--color-green);
    height: 50px;
    width: 50px;
    font-size: 20px;
    text-align: center;
}

.learn-more-btn:hover {
    height: 60px;
    width: 60px;
    font-size: 30px;
}

.elevate {
    position: relative;
    bottom: 380px;
    color: white;
    font-size: 60px;
}

.subscribe {
    width: 100%;
    height: 500px;
    margin-top: 440px;
    background-color: black;
    color: white;
    display: flex;
    justify-content:space-between;
    align-items:center; 

}

.subscribe-text {
    text-transform: uppercase;
    font-size: 60px;
    font-family: var(--font-family-base);
    margin-left: 40px;
    margin-right: 40px;
}

.subscribe-title {
    color: grey;
    font-size: 20px;
    margin-right: 360px;
}

.subscribe-input {
    background-color: black;
    border-color: var(--color-green);
    border-radius: 40px;
    height: 50px;
    width: 250px;
    padding-left: 20px;
    font-size: 15px;
    color: #ceff65;
}

.subscribe-btn {
    height: 60px;
    width: 150px;
    text-transform: uppercase;
    font-size: 15px;
    background-color: var(--color-green);
    border-color: black;
    border-radius: 40px;
    margin-left: 10px;
}

.subscribe-btn:hover {
    cursor: pointer;
}


.trainers {
    margin-top: 50px;
    display: flex;
    justify-content: space-between;
}

.trainers-text {
    font-family: var(--font-family-base);
    font-size: 60px;
    text-transform: uppercase;
    margin-left: 40px;
}

.explore-btn {
    height: 60px;
    width: 250px;
    text-transform: uppercase;
    font-size: 15px;
    background-color: var(--color-green);
    border-color: white;
    border-radius: 40px;
    margin-top: 90px;
    margin-right: 40px;
}

.explore-btn:hover {
    cursor: pointer;
}

.coaches {
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-wrap: wrap;
    row-gap: 100px;
    overflow: hidden;
    transition: transform 0.3s ease;
}

.coach {
    margin-top: 50px;
}

.coaches-img {
    transition: transform 0.3s ease-out;
    transform-origin: center center;
    height: 450px;
    width: 100%;
    border-radius: 50px;
    margin-bottom: 70px;
}


.place {
    text-transform: uppercase;
    font-family: var(--font-family-satoshi);
    font-size: 15px;
    
}

.coach-name {
    margin-top: 0%;
    margin-bottom: 0%;
    font-family: var(--font-family-base);
    text-transform: uppercase;
    font-size: 70px;
}

.coach-bio {
    font-family: var(--font-family-satoshi);
    font-size: 15px;
    line-height: 25px;
}

.about-coach {
    text-transform: uppercase;
    width: 150px;
    height: 55px;
    background-color: white;
    border-radius: 40px;
    border: 1px solid gray;
}

.about-coach:hover {
    cursor: pointer;
}

.locations {
    margin-top: 100px;
    background-image: url(images/image5.jpeg);
    width: 100%;
    height: 600px;
    background-size: cover;
}

.loc-text {
    display: flex;
    flex-direction: column;
    margin-left: 70px;
}

.loc-title {
    text-transform: uppercase;
    font-family: var(--font-family-base);
    color: white;
    font-size: 70px;
    margin-top: 180px;
    margin-bottom: 0%;
}

.loc-bio {
    color: white;
    font-family: var(--font-family-satoshi);
    font-size: 20px;
    line-height: 30px;   
}

.location-btn {
    height: 60px;
    width: 180px;
    text-transform: uppercase;
    font-size: 15px;
    background-color: var(--color-green);
    border-color: var(--color-green);
    border-radius: 40px;
}

.loc-places {
    position: relative;
    bottom: 450px;
    display: flex;
    flex-wrap: wrap;
    margin-left: 530px;
}

.address {
    margin-left: 50px;
    align-items: flex-end;
    margin-top: 30px;
}

.address-imgs {
    height: 160px;
    border-radius: 20px;
}

.address-title {
    text-transform: uppercase;
    color: white;
    font-family: var(--font-family-base);
    font-size: 25px;
    margin-top: 10px;
    margin-bottom: 0%;
}

.address-bio {
    text-transform: uppercase;
    color: white;
    font-family: var(--font-family-satoshi);
    font-size: 15px;
    margin-top: 10px;
}

hr {
    margin-top: 50px;
}

.footer {
    margin-top: 70px;
    display: flex;
    flex-wrap: wrap;
}

.footer-bio {
    margin-left: 50px;
    text-transform: uppercase;
    font-family: var(--font-family-satoshi);
    font-size: 20px;
}

.footer-title {
    font-family: var(--font-family-base);
    font-size: 30px;
}

.footer-nav {
    margin-left: 200px;
}
.footer-menu-list {
    display: inline-flex;
    column-gap: 70px;
    height: 50px;
    font-family: var(--font-family-base);
    letter-spacing: 1.2px;
    font-size: 25px;
    margin-left: 70px;
    margin-right: 70px;
}

.footer-menu-item span {
  position: relative;
  display: inline-block;
  z-index: 1;
}

.footer-menu-item span::before {
  content: '';
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  height: 4px;
  width: 0;
  background-color: var(--color-green);
  z-index: 0;
  transition: width 0.2s ease;
  background-color: rgba(206, 255, 101, 0.6);
  filter: blur(0.5px);
}

.footer-menu-item:hover span::before {
   width: 100%;
}

.footer-title-second {
    font-family: var(--font-family-satoshi);
    font-size: 20px;
    margin-left: 50px;
}

.footer-second-title {
    text-transform: uppercase;
    font-family: var(--font-family-base);
    font-size: 50px;
    margin-bottom: 0%;
}

.footer-subscribe-input {
    margin-left: 200px;
    margin-top: 90px;
    border-color: var(--color-green);
    border-radius: 40px;
    height: 50px;
    width: 250px;
    padding-left: 20px;
    font-size: 15px;
    color: #ceff65;
}

.footer-subscribe-btn {
    height: 60px;
    width: 150px;
    text-transform: uppercase;
    font-size: 15px;
    background-color: var(--color-green);
    border-color: var(--color-green);
    border-radius: 40px;
    margin-left: 10px;
}

.footer-subscribe-btn:hover {
    cursor: pointer;
}

.copyright {
    font-family: var(--font-family-satoshi);
    margin-left: 50px;
}

@media (min-width:320px) and (max-width: 430px) {

  .header-menu {
    padding-left: 20px;
    padding-right: 10px;
  }

   .header-menu-list {
    margin-left: -1px;
    text-align: center;
    font-size: 7px;
  }

  .header-menu-item {
    margin-left: -45px;
  }

  .logo-name {
    margin: 0;
    margin-left: -100px;
    font-size: 7px;
    text-align: center;
    text-wrap: nowrap;
  }

  .tennis-video {
  width: 100vw;
  height: 50vh;
  }

  .learn-more,
  .learn-more-btn, 
  .elevate {
    margin-bottom: -450px;
    text-align: center;
    font-size: 20px;
  }

  .subscribe-btn {
    margin-top: 20px;
  }
}


@media (max-width: 600px) {
  
  .header-menu-list {
    margin-left: -10px;
    text-align: center;
    font-size: 13px;
  }

  .logo-name {
    margin: 0;
    font-size: 13px;
    text-align: center;
    text-wrap: nowrap;
  }

  .banner-title {
    font-size: 50px;
    padding: 0 10px;
  }

  .learn-more,
  .learn-more-btn,
  .elevate {
    bottom: 220px;
    text-align: center;
    font-size: 20px;
  }

  .learn-more-btn {
    height: 40px;
    width: 40px;
    font-size: 18px;
  }

  .subscribe {
    flex-direction: column;
    margin-top: 150px;
    padding: 30px 10px;
    height: auto;
    text-align: center;
  }

  .subscribe-text {
    font-size: 35px;
    margin: 10px 0;
  }

  .subscribe-title {
    margin: 10px 0;
    font-size: 16px;
  }

  .trainers {
    flex-direction: column;
    text-align: center;
  }

  .trainers-text {
    font-size: 35px;
    margin: 20px;
  }

  .explore-btn {
    width: 80%;
    margin: 30px auto;
  }

  .coaches-img {
    width: 90%;
     height: 400px;
  }

  .coach {
    margin-left: 50px;
  }

  .coach-name {
    font-size: 40px;
    
  }

  .coaches {
    flex-direction: column;
    padding: 0 10px;
  }

  .locations {
    height: auto;
    background-size: cover;
    background-position: center;
    padding: 20px 10px;
  }

  .loc-title {
    font-size: 35px;
    margin-top: 50px;
  }

  .loc-bio {
    font-size: 16px;
  }

  .loc-places {
    flex-direction: column;
    margin: 0;
    bottom: 0;
    padding: 20px;
  }

  .address {
    margin: 10px auto;
    text-align: center;
  }

  .address-imgs {
    width: 90%;
    height: auto;
  }

  .footer {
    flex-direction: column;
    padding: 20px;
  }

  .footer-nav,
  .footer-menu-list {
    flex-direction: column;
    text-align: left;
    margin: 15px 0;
  }

  .footer-menu-link {
    font-size: 30px;
    margin-left: 10px;
  }

  .footer-subscribe {
    margin-left: 40px;
  }

  .footer-subscribe-input {
    margin: 20px auto;
  }

  .footer-subscribe-btn {
    margin: 10px auto;
  }

  .footer-title-second {
    margin-top: 30px;
  }
}

@media (min-width: 601px) and (max-width: 1024px) {
  .header {
    padding: 10px 20px;
  }

  .header-menu-list {
    column-gap: 30px;
    font-size: 25px;
    margin-left: 120px;
  }

  .logo-name {
    margin: 0 60px;
    font-size: 25px;
  }

  .banner-title {
    font-size: 120px;
    margin-left: 60px;
  }

.video-section {
  margin: 0%;
  padding: 0%;
  width: 100vw;
  height: 100vh;
  position: relative;
  overflow: hidden;
}

.tennis-video {
  width: 100vw;
  height: 100vh;
  object-fit: cover;
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
}


  .learn-more {
    bottom: 250px;
    font-size: 25px;
  }

  .learn-more-btn {
    bottom: 260px;
    height: 45px;
    width: 45px;
    font-size: 20px;
  }

  .learn-more-btn:hover {
    height: 60px;
    width: 60px;
    font-size: 30px;
  }

  .elevate {
    bottom: 220px;
    font-size: 40px;
  }

  .subscribe {
    flex-direction: column;
    height: auto;
    padding: 30px;
    text-align: center;
  }

  .subscribe-text {
    font-size: 45px;
  }

  .subscribe-title {
    font-size: 18px;
    margin: 20px 0;
  }


  .coaches {
    margin-top: 50px;
  }

  .coach {
    margin-left: 150px;
  }

  .place {
    margin-left: 3px;
  }

  .coach-name {
    margin-right: 650px;
    text-wrap: nowrap;
  }

  .trainers {
    flex-direction: column;
    align-items: center;
  }

  .trainers-text {
    font-size: 50px;
    margin: 20px;
  }

  .explore-btn {
    margin-top: 20px;
  }

  .coaches-img {
    width: 80%;
    height: auto;
  }
  
  .loc-address {
 margin-left: 500px;
  }

.loc-places {
   flex-wrap: wrap;
  margin-top: 150px;
}

.address {
  width: 200px;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  text-align: right;
}

.address-imgs {
  height: 100px;
  width: 100%;
  border-radius: 10px;
  object-fit: cover;
}


  .locations {
    height: 600px;
    padding: 40px 20px;
  }

  .loc-text {
    margin-left: 30px;
  }

  .loc-title {
    font-size: 50px;
    margin-top: 80px;
  }

  .loc-places {
    margin-left: 0;
    justify-content: center;
  }

  .address {
    margin: 20px;
  }

  .footer-bio {
    margin-left: 50px;
  }

  .footer-title {
    font-size: 40px;
  }

  .footer-menu-list {
    column-gap: 30px;
  }

  .footer-nav {
    margin-left: 450px;
    margin-top: -150px;
  }

  .footer-subscribe-input {
    margin-left: 70px;
    margin-top: 60px;
  }

  .footer-subscribe-btn {
    margin-left: 0;
  }
}

@media (min-width: 1024px) {
   .header-menu {
	   margin-left: 100px; 
   }
	
   .coaches {
	   margin-left: 100px;
	   margin-right: 100px;
}

